=== debian/changelog ===
mupen64plus-input-sdl (2.5-5) unstable; urgency=medium

  * debian/control
    - Automatically select correct Vcs-Git branch
    - Upgraded to policy 4.4.0, no changes required
    - Switch to debhelper 12
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 23:28:05 +0200

mupen64plus-input-sdl (2.5-4) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:50:49 +0200

mupen64plus-input-sdl (2.5-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-input-sdl-dbg in favor of -dbgsym package
  * Update copyright years in debian/copyright
  * debian/patches:
    - add-MayFlash-PC048-adapter-auto-config-from-Brandon-Bundy.patch
      Add auto-config for MayFlash PC048 adapter
    - new-Saitek-PLC-Cyborg-Force-Rumble-Pad-auto-config-from-P.patch
      Add auto-config for Saitek PLC Cyborg Force Rumble Pad controller
    - add-new-auto-config-section-for-Rock-Candy-gamepad-and-ne.patch
      Add auto-config for Rock Candy controller
    - add-OUYA-wireless-controller-auto-config-from-github-tick.patch
      Add auto-config for OUYA Game controller
    - add-another-huijia-auto-config-from-alecjw-on-github-tick.patch
      Add auto-config for HuiJia controller
    - added-specific-config-for-Logitech-F310-from-Marcus-Dean-.patch
      Add auto-config for Logitech F310 controller
    - Add-USB-Gamepad.patch,
      Add auto-config for USB Gamepad controller
    - fixes-for-Gasia-PS-Gamepad-from-Marcus-Dean-Adams-on-goog.patch,
      Fix auto-configuration for Gasia PS Gamepad
    - add-ShanWan-USB-autoconfig-from-Marco-on-google-group-lis.patch
      Add auto-config for ShanWan USB WirelessGamepad controller
    - Updated-Generic-X-Box-pad-to-conform-to-the-README.patch,
      Fix Generic XBox gamepad layout
    - Fixed-a-small-error-in-the-changed-section.patch,
      Fix newline in XBox gamepad layout
    - Fixed-Xbox-360-Wireless-Receiver-section.patch,
      Fix Xbox 360 Wireless Receiver layout

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 12:47:51 +0100

mupen64plus-input-sdl (2.5-2) unstable; urgency=medium

  * debian/patches:
    - Add add-config-for-Sony-playstation-4-controller-and-rem.patch,
      Fix axis auto configuration in for Playstation 4 controllers
    - Add add-auto-config-for-Snakebyte-PS3-style-USB-controll.patch,
      Add auto-config for Snakebyte PS3-style USB controller
    - Add add-auto-config-for-Super-Joy-Box-13-Gamecube-USB-ad.patch,
      Add auto-config for Super Joy Box 13 Gamecube USB adapter
    - Add add-auto-config-for-Xiaomi-Bluetooth-Controller-from.patch,
      Add auto-config for Xiaomi Bluetooth Controller
    - Add add-auto-config-for-Logitech-F710-gamepad-by-me.patch,
      Add auto-config for Logitech F710 gamepad
    - Move patches to alternative DEP-3 format and manage them with gbp pq
  * debian/control:
    - Change Vcs-Browser to new alioth CGit URL
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:51:15 +0100

mupen64plus-input-sdl (2.5-1) unstable; urgency=medium

  * New Upstream Version
  * Upload to unstable
  * Upgraded to policy 3.9.6, no changes required
  * debian/copyright
    - Update years
    - Add new files
  * debian/patches
    - Remove upstream merged autoconfig_sony_dualshock4.patch

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 May 2015 16:14:00 +0200

mupen64plus-input-sdl (2.0+50+g83c33be-1) experimental; urgency=medium

  * New Upstream Snapshot from 83c33bee6921bae966cced52c8e4662a457918d9
  * Remove upstream merged autoconfig_acrux.patch,
    autoconfig_austgame_ps_converter.patch, autoconfig_bda_pro_ex.patch,
    autoconfig_ipequa.patch, autoconfig_jess_controller.patch,
    autoconfig_logitech_f310.patch, autoconfig_mayflash.patch,
    autoconfig_nintendo_wii_remote_pro.patch, autoconfig_retrolink_n64.patch,
    autoconfig_sidewinder_gamepad_pro.patch, autoconfig_szmy_gamepad3.patch,
    autoconfig_twin_gamepad.patch, autoconfig_twin_usb.patch,
    autoconfig_wiimote_classic.patch, autoconfig_xbox360.patch,
    autoconfig_xinput.patch, fallback_nomousegrab.patch,
    sdl2_forcefeedback.patch, sdl2_keysym.patch, sdl2_mousemode.patch

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2014 11:01:32 +0200

mupen64plus-input-sdl (2.0-4) unstable; urgency=medium

  * debian/watch:
    - Change upstream check from bitbucket to github
  * debian/copyright:
    - Change upstream source to github
  * debian/get-orig-source.sh
    - Change upstream repository to github
    - Change SCM from Mercurial to Git
  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/
  * debian/rules:
    - Use Largefile Support enabled C API
  * debian/patches:
    - Add autoconfig_acrux.patch, Add support for USB GAMEPAD 8116
    - Add autoconfig_austgame_ps_converter.patch, Add support for Austgame PS to
      USB convert cable
    - Add autoconfig_bda_pro_ex.patch, Add support for BDA Pro Ex
    - Add autoconfig_ipequa.patch, Add support for ipega media gamepad
      controller
    - Add autoconfig_logitech_f310.patch, Add support for Logitech Gamepad F310
    - Add autoconfig_mayflash.patch, Update deadzone/peak of Mayflash adapter
    - Add autoconfig_twin_usb.patch, Add support for Twin USB Gamepad

