=== debian/control ===
Source: mupen64plus-input-sdl
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
 Tobias Loose <TobiasLoose@gmx.de>,
Standards-Version: 4.4.0
Homepage: http://mupen64plus.org/
Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-input-sdl.git -b master
Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-input-sdl
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1.1),
 libmupen64plus-dev (>= 1.99.5),
 libsdl2-dev,

Package: mupen64plus-input-sdl
Architecture: any-amd64 any-i386
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 mupen64plus-config-abi-2.2,
 mupen64plus-input-abi-2,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 mupen64plus-input,
Breaks:
 libmupen64plus2 (<< 2.0),
Description: sdl input device plugin for mupen64plus
 Input device plugin for mupen64plus which can use either keyboard or all by
 SDL supported input devices. All devices are autoconfigured using a
 database supplied with this package or through manual button mappings inside
 the local mupen64plus configuration.
