=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/mupen64plus/mupen64plus-input-sdl/releases \
	/mupen64plus/mupen64plus-input-sdl/releases/download/[^/]+/mupen64plus-input-sdl-src-(.*\d).tar.gz
