## mupen64plus-input-sdl 2.5.9+52+gac3b878

=== debian/changelog ===
mupen64plus-input-sdl (2.5.9+52+gac3b878-1) unstable; urgency=medium

  * New Upstream Snapshot from ac3b878cd14cf455cc40d94985ad1303383b1b7a
  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 15:44:26 +0100

mupen64plus-input-sdl (2.5.9-1) experimental; urgency=medium

  * New Upstream Version
  * debian/patches:
    - Add bump-API-version-to-2.1.0-to-fix-issue-79.patch, Update input API
      version to 2.1
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:17:00 +0100

mupen64plus-input-sdl (2.5-6) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Allow build without (fake)root
    - Switch default Vcs-Git branch to debian/unstable
    - Switch to debhelper compat 13
    - Remove versioned constraints unnecessary since buster
    - Use secure URI in Homepage field
  * debian/copyright
    - Update copyright years to 2022
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * Remove constraints unnecessary since buster (oldstable):
    + mupen64plus-input-sdl: Drop versioned constraint on libmupen64plus2 in
      Breaks.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:52:18 +0100
