## mupen64plus-input-sdl 2.5.9+54+gaa18148

=== debian/changelog ===
mupen64plus-input-sdl (2.5.9+54+gaa18148-1) unstable; urgency=medium

  * New Upstream Snapshot from aa181483bfcac8901184f8c7590e4246eba5508b
  * debian/rules:
    - disallow compiler to drop code related to signed integer overflows during
      optimization
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 09:29:43 +0100
