=== debian/changelog ===
mupen64plus-input-sdl (2.5.9+55+g2129e94-1) unstable; urgency=medium

  * New Upstream Snapshot from 2129e942fdc2ee74d4d5f9c815dd204c45d9f4c1

 -- Sven Eckelmann <sven@narfation.org>  Wed, 01 Feb 2023 20:29:11 +0100
